Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api.config
Class AssignmentHandler.Request

    java.lang.Object
      com.bea.wli.worklist.api.config.AssignmentHandler.Request

Enclosing interface:
  AssignmentHandler

    public static class AssignmentHandler.Request

extends Object

Request object passed to an assignment handler when Worklist is requesting the assignment of a task.

Constructor Summary
`AssignmentHandler.Request(String taskId, String[] candidateUserIds, CandidateListHandling handling, boolean enableLoadBalancingAvailabilityCheck, WorkloadRequest workloadRequest)` Create a new task assignment request.

Method Summary
`String[]` | `getCandidateUserIds()` List of user ids for the users that have been designated as candidate claimants for the task.
`CandidateListHandling` | `getHandling()` An enumerated value that indicates a basic approach for handling the candidates listed in candidateUserIds.
`String` | `getTaskId()` The id of the task for which assignment is to be performed.
`WorkloadRequest` | `getWorkloadRequest()` A WorkloadRequest describing how workload calculations will be performed.
`boolean` | `isAvailabilityCheckEnabled()` A hint to the handler that a candidates availability should be factored into any assignment decision made by the handler.
`void` | `setAvailabilityCheckEnabled(boolean enable)`
`void` | `setCandidateUserIds(String[] candidateUserIds)`
`void` | `setHandling(CandidateListHandling handling)`
`void` | `setTaskId(String taskId)`
`void` | `setWorkloadRequest(WorkloadRequest workloadRequest)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AssignmentHandler.Request

    public AssignmentHandler.Request(String taskId,
                                     String[] candidateUserIds,
                                     CandidateListHandling handling,
                                     boolean enableLoadBalancingAvailabilityCheck,
                                     WorkloadRequest workloadRequest)

  Create a new task assignment request.

  Parameters:
    `taskId` - The ID of the task to be assigned.
    `candidateUserIds` - The user names of all candidates to be considered as possible claimants for the task.
    `handling` - The type of handling to apply to the candidate list.
    `enableLoadBalancingAvailabilityCheck` - If true, a user's availability will be considered during load balancing (if load balancing has been requested via the handling param.
    `workloadRequest` - A WorkloadRequest object that controls how workload calculations will be performed. If this is null, a new WorkloadRequest instance will be constructed using the default constructor and set on this assignment request instance.

Method Detail

### getTaskId

    public String getTaskId()

  The id of the task for which assignment is to be performed. Detailed task information, including the task plan for the task can be obtained from the WorklistTaskUser interface.

### setTaskId

    public void setTaskId(String taskId)

### getCandidateUserIds

    public String[] getCandidateUserIds()

  List of user ids for the users that have been designated as candidate claimants for the task.

### setCandidateUserIds

    public void setCandidateUserIds(String[] candidateUserIds)

### getHandling

    public CandidateListHandling getHandling()

  An enumerated value that indicates a basic approach for handling the candidates listed in candidateUserIds. The handler can choose to ignore this value if it has other types of candidate handling it can apply.

### setHandling

    public void setHandling(CandidateListHandling handling)

### isAvailabilityCheckEnabled

    public boolean isAvailabilityCheckEnabled()

  A hint to the handler that a candidates availability should be factored into any assignment decision made by the handler. The handler may choose to ignore this setting if it does not provide any ability to check candidate availability.

### setAvailabilityCheckEnabled

    public void setAvailabilityCheckEnabled(boolean enable)

### getWorkloadRequest

    public WorkloadRequest getWorkloadRequest()

  A WorkloadRequest describing how workload calculations will be performed. This is ignored if no load balancing is being performed.

### setWorkloadRequest

    public void setWorkloadRequest(WorkloadRequest workloadRequest)

  Parameters:
    `workloadRequest` - If null, this is ignored.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD